import 'package:get/get.dart';

import '../controller/detail_controller.dart';
import '../controller/edit_controller.dart';
import '../controller/graph_controller.dart';
import '../controller/home_controller.dart';
import '../controller/login_controller.dart';
import '../controller/signin_controller.dart';
import '../controller/gasstations_controller.dart';



class SampleBindings extends Bindings {
  @override
  void dependencies() {
    // Define your dependencies here no permanent Binding
    Get.lazyPut<LoginController>(() => LoginController());
    Get.lazyPut<SigninController>(() => SigninController());
    Get.lazyPut<HomeController>(() => HomeController());
    Get.lazyPut<DetailController>(() => DetailController());
    Get.lazyPut<EditController>(() => EditController());
    Get.lazyPut<GraphController>(() => GraphController());
    Get.lazyPut<GasstationsController>(() => GasstationsController());
    
    
  }
}
